Name:           perl-Data-ObjectDriver
Version:        0.08
Release:        3%{?dist}
Summary:        Simple, transparent data interface, with caching
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-ObjectDriver/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SI/SIXAPART/Data-ObjectDriver-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(DBI)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Class::Trigger)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_requires_in %{perl_vendorlib}/Data/ObjectDriver/Driver/DBD/Oracle.pm
%{?perl_default_filter}

%description
Data::ObjectDriver is an object relational mapper, meaning that it maps object-
oriented design concepts onto a relational database.

%prep
%setup -q -n Data-ObjectDriver-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(DBD::Oracle)/d'
EOF

%define __perl_requires %{_builddir}/Data-ObjectDriver-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Feb 13 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.08-3
- Add perl default filter
- Filter the Oracle stuff

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 07 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.08-1
- Update to 0.08

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.07-2
- Mass rebuild with perl-5.12.0

* Mon Mar 30 2010 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.07-1
- Update to 0.07, dropping upstreamed patch

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.06-5
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.06-3
- Re-enable auto-Requires, for real this time
- Add DBD::SQLite to the BuildRequires
- Patch t/02-basic.t to pass on sqlite 3.5.9

* Wed Apr 15 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.06-2
- Re-enable auto-Requires
- Exclude DBD::Oracle from them

* Sun Apr 11 2009 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.06-1
- Use Module::Install calls rather than ./Build.PL ones
- run tests in the check section
- clean up Requires
- Update to 0.06

* Mon Dec 29 2008 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.05-1
- Specfile autogenerated by cpanspec 1.77.
